# directory::get-last-write-time

Returns the date and time the specified directory was last written to.

### Usage

`datetime directory::get-last-write-time(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The directory for which to obtain write date and time information.

### Return Value

The date and time the specified directory was last written to.

### Exceptions

The function will fail in any of the following circumstances:

- The specified directory does not exist.
- path is a zero-length string, contains only white space, or contains one or more invalid characters.
- The specified path, file name, or both exceed the system-defined maximum length.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)